org.apache.hadoop.yarn.server.nodemanager.webapp.dao.gpu

## Class NMGpuResourceInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.NMResourceInfo
  - - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.gpu.NMGpuResourceInfo

-     public class NMGpuResourceInfo
      extends NMResourceInfo

  Gpu device information return to client when `NMWebServices.getNMResourceInfo(String)` is invoked.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMGpuResourceInfo(GpuDeviceInformation gpuDeviceInformation, List<GpuDevice> totalGpuDevices, List<AssignedGpuDevice> assignedGpuDevices)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AssignedGpuDevice>` | `getAssignedGpuDevices()`
    `GpuDeviceInformation` | `getGpuDeviceInformation()`
    `List<GpuDevice>` | `getTotalGpuDevices()`
    `void` | `setAssignedGpuDevices(List<AssignedGpuDevice> assignedGpuDevices)`
    `void` | `setGpuDeviceInformation(GpuDeviceInformation gpuDeviceInformation)`
    `void` | `setTotalGpuDevices(List<GpuDevice> totalGpuDevices)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NMGpuResourceInfo

          public NMGpuResourceInfo(GpuDeviceInformation gpuDeviceInformation,
                                   List<GpuDevice> totalGpuDevices,
                                   List<AssignedGpuDevice> assignedGpuDevices)

  - ### Method Detail

    - #### getGpuDeviceInformation

          public GpuDeviceInformation getGpuDeviceInformation()

    - #### setGpuDeviceInformation

          public void setGpuDeviceInformation(GpuDeviceInformation gpuDeviceInformation)

    - #### getTotalGpuDevices

          public List<GpuDevice> getTotalGpuDevices()

    - #### setTotalGpuDevices

          public void setTotalGpuDevices(List<GpuDevice> totalGpuDevices)

    - #### getAssignedGpuDevices

          public List<AssignedGpuDevice> getAssignedGpuDevices()

    - #### setAssignedGpuDevices

          public void setAssignedGpuDevices(List<AssignedGpuDevice> assignedGpuDevices)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.